#@TYPE: Machine
#@NAME: HP iPAQ hx47xx
#@DESCRIPTION: Machine configuration for the hx4700 iPAQ with a pxa27x CPU

#
# Hardware-based properties
#
TARGET_ARCH = "arm"
PACKAGE_EXTRA_ARCHS = "armv4 armv4t armv5te iwmmxt  "

# Use tune-xscale per default. Machine independent feeds should be built with tune-strongarm.
require conf/machine/include/tune-xscale.inc

# Uncomment this to use iwmmxt optimizations. Remove the above xscale stuff first
#require conf/machine/include/tune-iwmmxt.inc

ROOT_FLASH_SIZE = "80"
VOLATILE_STORAGE_SIZE = "64"
MACHINE_GUI_CLASS = "bigscreen"
MACHINE_DISPLAY_WIDTH_PIXELS = "480"
MACHINE_DISPLAY_HEIGHT_PIXELS = "640"
MACHINE_DISPLAY_ORIENTATION = "0"
MACHINE_DISPLAY_PPI = "200"
MACHINE_FEATURES = "alsa apm bluetooth irda kernel26 pcmcia screen touchscreen usbgadget wifi vfat"
MACHINE_FEATURES += "iwmmxt"

#
# Software/packages selection
#
PREFERRED_PROVIDER_virtual/kernel = "linux-handhelds-2.6"
PCMCIA_MANAGER = "pcmciautils"
MODUTILS = "26"	

XSERVER = "xserver-kdrive-w100"

PREFERRED_VERSION_orinoco-modules = "0.15rc1"

MACHINE_EXTRA_RDEPENDS = "tiinit acx-firmware"
MACHINE_EXTRA_RRECOMMENDS = "\
	kernel-module-i2c-pxa \
	kernel-module-pxa27x-voltage \
	kernel-module-pxa27x-voltage-max158xx \
	kernel-module-acx \
	kernel-module-hx4700-acx \
	kernel-module-hx4700-bt \
	kernel-module-snd-hx4700-audio"

#write out a reflash.ctl with the appriate entries for the rootfs, the ones for the kernel should already be there
EXTRA_IMAGECMD_jffs2 = "; sumtool -i ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.jffs2 \
			  -o ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs-summary.jffs2 \
			  -e 256KiB -p ; echo '${IMAGE_NAME}  ${IMAGE_NAME}.rootfs.jffs2 - root' >> ${DEPLOY_DIR_IMAGE}/reflash.ctl"


#
# Modules autoload and other boot properties
#
module_autoload_evdev = "evdev"
module_autoload_hx4700_power = "hx4700_power"
module_autoload_pcmcia = "pcmcia"
module_autoload_hx4700_pcmcia = "hx4700_pcmcia"
module_autoload_asic3_mmc = "asic3_mmc"
module_autoload_mmc_block = "mmc_block"
module_autoload_hx4700_ts = "hx4700_ts"
module_autoload_hx4700_navpt = "hx4700_navpt"
module_autoload_hx4700_bt = "hx4700_bt"
module_autoload_snd-hx4700_audio = "snd-hx4700_audio"
module_autoload_snd-pcm-oss = "snd-pcm-oss"
module_autoload_snd-mixer-oss = "snd-mixer-oss"
module_autoload_pxa27x_udc = "pxa27x_udc"

#FIXME: this should be controlled by a userspace utility later.
module_autoload_g_ether = "g_ether"

SERIAL_CONSOLE = "115200 ttyS0"
